Name: shibboleth-embedded-ds
Version: 1.3.0
Release: 2%{?dist}
Summary: Client-side federation discovery service for SAML-based SSO
Group: Productivity/Networking/Security
Vendor: Shibboleth Consortium
License: Apache-2.0
URL: http://shibboleth.net/
Source0: https://shibboleth.net/downloads/embedded-discovery-service/%{version}/%{name}-%{version}.tar.gz
BuildArch: noarch
%if "%{_vendor}" == "redhat"
BuildRequires: redhat-rpm-config
%{!?_without_builtinapache:BuildRequires: httpd}
%endif

%description
The Embedded Discovery Service is a JS/CSS/HTML-based tool for
identity provider selection in conjunction with SAML-based web
single sign-on implementations such as Shibboleth.

%prep
%setup -q

%build


%install
%make_install

# Plug the DS into the built-in Apache on a recognized system.
touch rpm.filelist
APACHE_CONFIG="shibboleth-ds.conf"
%{?_without_builtinapache:APACHE_CONFIG="no"}
if [ "$APACHE_CONFIG" != "no" ] ; then
    APACHE_CONFD="no"
    if [ -d %{_sysconfdir}/httpd/conf.d ] ; then
            APACHE_CONFD="%{_sysconfdir}/httpd/conf.d"
    fi
    if [ -d %{_sysconfdir}/apache2/conf.d ] ; then
            APACHE_CONFD="%{_sysconfdir}/apache2/conf.d"
    fi
    if [ "$APACHE_CONFD" != "no" ] ; then
        %{__mkdir} -p $RPM_BUILD_ROOT$APACHE_CONFD
        %{__cp} -p $RPM_BUILD_ROOT%{_sysconfdir}/shibboleth-ds/$APACHE_CONFIG $RPM_BUILD_ROOT$APACHE_CONFD/$APACHE_CONFIG
        echo "%config(noreplace) $APACHE_CONFD/$APACHE_CONFIG" > rpm.filelist
    fi
fi

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && %{__rm} -rf $RPM_BUILD_ROOT

%post
%if "%{_vendor}" == "redhat"
    # On upgrade, restart components if they're already running.
    if [ "$1" -gt "1" ] ; then
        %{!?_without_builtinapache:/sbin/service httpd status 1>/dev/null && /sbin/service httpd restart 1>/dev/null}
        exit 0
    fi
%endif

%preun
%if "%{_vendor}" == "redhat"
    if [ "$1" = 0 ] ; then
        %{!?_without_builtinapache:/sbin/service httpd status 1>/dev/null && /sbin/service httpd restart 1>/dev/null}
    fi
%endif
exit 0

%files -f rpm.filelist
%defattr(-,root,root,-)
%dir %{_sysconfdir}/shibboleth-ds
%{_sysconfdir}/shibboleth-ds/*.txt
%{_sysconfdir}/shibboleth-ds/*.gif
%config(noreplace) %{_sysconfdir}/shibboleth-ds/index.html
%config(noreplace) %{_sysconfdir}/shibboleth-ds/idpselect.css
%config(noreplace) %{_sysconfdir}/shibboleth-ds/idpselect_config.js
%config %{_sysconfdir}/shibboleth-ds/idpselect.js
%config %{_sysconfdir}/shibboleth-ds/shibboleth-ds.conf

%changelog
* Fri Dec 27 2024 John W. O'Brien <john@saltant.com. - 1.3.0-2
- SSPCPP-1002 Remove support for SUSE

* Tue Feb 27 2024 Scott Cantor <cantor.2@osu.edu> - 1.3.0-1
- Update version.

* Sat Jun 17 2023 John W. O'Brien <john@saltant.com> - 1.2.2-2
- Normalize SPEC file whitespace
- Delete obsolete BuildRoot macro
- Ensure Source is valid and fetchable
- Adopt %%make_install
- Append %%dist to Release

* Mon Jun 6 2016 Scott Cantor <cantor.2@osu.edu> - 1.2.0-1
- Update version
- Fix license name

* Wed Apr 29 2015  Scott Cantor  <cantor.2@osu.edu>  - 1.1.0-1
- Update version
- Stop marking text files as configs
- Add gif to package

* Mon Apr 11 2011  Scott Cantor  <cantor.2@osu.edu>  - 1.0-1
- First version.
